import type { ExtensionAuto, ExtensionNodeSpec } from '../../../../core';
import { type YfmTabsSchemaOptions } from './schema';
export { TabsNode } from './const';
export declare const tabPanelType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const tabType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const tabsType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const tabsListType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type YfmTabsSpecsOptions = YfmTabsSchemaOptions & {
    tabView?: ExtensionNodeSpec['view'];
    tabsListView?: ExtensionNodeSpec['view'];
    tabPanelView?: ExtensionNodeSpec['view'];
    tabsView?: ExtensionNodeSpec['view'];
    vtabView?: ExtensionNodeSpec['view'];
    vtabInputView?: ExtensionNodeSpec['view'];
};
export declare const YfmTabsSpecs: ExtensionAuto<YfmTabsSpecsOptions>;
