"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAutocompleteConfig = void 0;
const yfm_1 = require("../yfm");
const emptyRow_1 = require("./emptyRow");
const getAutocompleteConfig = ({ preserveEmptyRows }) => {
    const autocompleteItems = [];
    if (preserveEmptyRows) {
        autocompleteItems.push(emptyRow_1.emptyRowAutocomplete);
    }
    autocompleteItems.push(yfm_1.mdAutocomplete);
    return autocompleteItems;
};
exports.getAutocompleteConfig = getAutocompleteConfig;
