import React from 'react';
import { cn } from '../../../classname';
import { i18n } from '../../../i18n/action-previews';
import { ActionPreview } from './ActionPreview';
import './ActionPreview.css';
const b = cn('action-preview');
export const HeadingPreview = ({ level }) => {
    const Heading = `h${level}`;
    return (React.createElement(ActionPreview, null,
        React.createElement(Heading, null, i18n('heading')),
        React.createElement("p", { className: b('text-with-head') }, i18n('text-with-head'))));
};
