import type { ActionStorage } from '../../core';
import type { CodeEditor } from '../../markup';
import type { ToolbarListButtonData } from '../../toolbar';
import type { ToolbarButtonPopupData, ToolbarData, ToolbarGroupData, ToolbarGroupItemData, ToolbarItemData, ToolbarListButtonItemData, ToolbarListItemData, ToolbarReactComponentData, ToolbarSingleItemData } from '../../toolbar/types';
export * from '../../toolbar/types';
export declare type WToolbarData = ToolbarData<ActionStorage>;
export declare type WToolbarItemData = ToolbarItemData<ActionStorage>;
export declare type WToolbarSingleItemData = ToolbarSingleItemData<ActionStorage>;
export declare type WToolbarGroupData = ToolbarGroupData<ActionStorage>;
export declare type WToolbarGroupItemData = ToolbarGroupItemData<ActionStorage>;
export declare type WToolbarListButtonData = ToolbarListButtonData<ActionStorage>;
export declare type WToolbarListItemData = ToolbarListItemData<ActionStorage>;
export declare type WToolbarListButtonItemData = ToolbarListButtonItemData<ActionStorage>;
export declare type MToolbarData = ToolbarData<CodeEditor>;
export declare type MToolbarItemData = ToolbarItemData<CodeEditor>;
export declare type MToolbarSingleItemData = ToolbarSingleItemData<CodeEditor>;
export declare type MToolbarGroupData = ToolbarGroupData<CodeEditor>;
export declare type MToolbarReactComponentData = ToolbarReactComponentData<CodeEditor>;
export declare type MToolbarListButtonData = ToolbarListButtonData<CodeEditor>;
export declare type MToolbarListItemData = ToolbarListItemData<CodeEditor>;
export declare type MToolbarButtonPopupData = ToolbarButtonPopupData<CodeEditor>;
