import { SchemaDynamicModifierConfig } from '../SchemaDynamicModifier';
import { MarkdownParserDynamicModifierConfig } from '../markdown/MarkdownParser';
import { MarkdownSerializerDynamicModifierConfig } from '../markdown/MarkdownSerializerDynamicModifier';
import { DynamicModifiers } from '../types/dynamicModifiers';
export declare function convertDynamicModifiersConfigs(modifiers: DynamicModifiers[]): {
    parser: MarkdownParserDynamicModifierConfig;
    schema: SchemaDynamicModifierConfig;
    serializer: MarkdownSerializerDynamicModifierConfig;
};
