import React from 'react';
import { type ClassNameProps } from '../classname';
import type { EditorInt } from './Editor';
import type { WToolbarData, WToolbarItemData } from './toolbar/types';
export declare type WysiwygEditorViewProps = ClassNameProps & {
    editor: EditorInt;
    autofocus?: boolean;
    settingsVisible?: boolean;
    toolbarConfig: WToolbarData;
    toolbarVisible?: boolean;
    stickyToolbar?: boolean;
    toolbarClassName?: string;
    hiddenActionsConfig?: WToolbarItemData[];
    children?: React.ReactNode;
};
export declare const WysiwygEditorView: React.NamedExoticComponent<WysiwygEditorViewProps>;
