"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadingPreview = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const classname_1 = require("../../../classname");
const action_previews_1 = require("../../../i18n/action-previews");
const ActionPreview_1 = require("./ActionPreview");
const b = (0, classname_1.cn)('action-preview');
const HeadingPreview = ({ level }) => {
    const Heading = `h${level}`;
    return (react_1.default.createElement(ActionPreview_1.ActionPreview, null,
        react_1.default.createElement(Heading, null, (0, action_previews_1.i18n)('heading')),
        react_1.default.createElement("p", { className: b('text-with-head') }, (0, action_previews_1.i18n)('text-with-head'))));
};
exports.HeadingPreview = HeadingPreview;
