"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WToolbarTextSelect = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const w_heading_config_1 = require("../../config/w-heading-config");
const ToolbarSelect_1 = require("../ToolbarSelect");
const WToolbarTextSelect = ({ focus, onClick, editor, className, }) => {
    const items = react_1.default.useMemo(() => w_heading_config_1.wHeadingListConfig.data, []);
    return (react_1.default.createElement(ToolbarSelect_1.ToolbarSelect, { items: items, focus: focus, editor: editor, onClick: onClick, className: className }));
};
exports.WToolbarTextSelect = WToolbarTextSelect;
