"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformEmptyParagraph = void 0;
const transformEmptyParagraph = (node) => {
    var _a, _b;
    if (node.type !== 'paragraph')
        return;
    if (((_a = node.content) === null || _a === void 0 ? void 0 : _a.length) !== 1)
        return;
    if (((_b = node.content[0]) === null || _b === void 0 ? void 0 : _b.type) !== 'text')
        return;
    if (node.content[0].text === String.fromCharCode(160))
        delete node.content;
};
exports.transformEmptyParagraph = transformEmptyParagraph;
