import type { ExtensionAuto, ExtensionNodeSpec } from '../../../../core';
import { type YfmCutSchemaOptions } from './schema';
export { CutAttr, CutNode, cutType, cutTitleType, cutContentType } from './const';
declare global {
    namespace MarkdownEditor {
        interface DirectiveSyntaxAdditionalSupportedExtensions {
            yfmCut: true;
        }
    }
}
export declare type YfmCutSpecsOptions = YfmCutSchemaOptions & {
    cutView?: ExtensionNodeSpec['view'];
    cutTitleView?: ExtensionNodeSpec['view'];
    cutContentView?: ExtensionNodeSpec['view'];
};
export declare const YfmCutSpecs: ExtensionAuto<YfmCutSpecsOptions>;
