import { ToolbarDataType } from '../../toolbar';
import { ToolbarItemMarkup, ToolbarItemView, ToolbarItemWysiwyg } from './types';
export declare const undoItemView: ToolbarItemView;
export declare const undoItemWysiwyg: ToolbarItemWysiwyg;
export declare const undoItemMarkup: ToolbarItemMarkup;
export declare const redoItemView: ToolbarItemView;
export declare const redoItemWysiwyg: ToolbarItemWysiwyg;
export declare const redoItemMarkup: ToolbarItemMarkup;
export declare const boldItemView: ToolbarItemView;
export declare const boldItemWysiwyg: ToolbarItemWysiwyg;
export declare const boldItemMarkup: ToolbarItemMarkup;
export declare const italicItemView: ToolbarItemView;
export declare const italicItemWysiwyg: ToolbarItemWysiwyg;
export declare const italicItemMarkup: ToolbarItemMarkup;
export declare const underlineItemView: ToolbarItemView;
export declare const underlineItemWysiwyg: ToolbarItemWysiwyg;
export declare const underlineItemMarkup: ToolbarItemMarkup;
export declare const strikethroughItemView: ToolbarItemView;
export declare const strikethroughItemWysiwyg: ToolbarItemWysiwyg;
export declare const strikethroughItemMarkup: ToolbarItemMarkup;
export declare const monospaceItemView: ToolbarItemView;
export declare const monospaceItemWysiwyg: ToolbarItemWysiwyg;
export declare const monospaceItemMarkup: ToolbarItemMarkup;
export declare const markedItemView: ToolbarItemView;
export declare const markedItemWysiwyg: ToolbarItemWysiwyg;
export declare const markedItemMarkup: ToolbarItemMarkup;
export declare const checkboxItemView: ToolbarItemView;
export declare const checkboxItemWysiwyg: ToolbarItemWysiwyg;
export declare const checkboxItemMarkup: ToolbarItemMarkup;
export declare const linkItemView: ToolbarItemView;
export declare const linkItemWysiwyg: ToolbarItemWysiwyg;
export declare const linkItemMarkup: ToolbarItemMarkup;
export declare const quoteItemView: ToolbarItemView;
export declare const quoteItemWysiwyg: ToolbarItemWysiwyg;
export declare const quoteItemMarkup: ToolbarItemMarkup;
export declare const cutItemView: ToolbarItemView;
export declare const cutItemWysiwyg: ToolbarItemWysiwyg;
export declare const cutItemMarkup: ToolbarItemMarkup;
export declare const noteItemView: ToolbarItemView;
export declare const noteItemWysiwyg: ToolbarItemWysiwyg;
export declare const noteItemMarkup: ToolbarItemMarkup;
export declare const tableItemView: ToolbarItemView;
export declare const tableItemWysiwyg: ToolbarItemWysiwyg;
export declare const tableItemMarkup: ToolbarItemMarkup;
export declare const codeItemView: ToolbarItemView;
export declare const codeItemWysiwyg: ToolbarItemWysiwyg;
export declare const codeItemMarkup: ToolbarItemMarkup;
export declare const imageItemView: ToolbarItemView;
export declare const imagePopupItemView: ToolbarItemView;
export declare const imageItemWysiwyg: ToolbarItemWysiwyg;
export declare const imageItemMarkup: ToolbarItemMarkup<ToolbarDataType.ButtonPopup>;
export declare const fileItemView: ToolbarItemView;
export declare const filePopupItemView: ToolbarItemView;
export declare const fileItemWysiwyg: ToolbarItemWysiwyg;
export declare const fileItemMarkup: ToolbarItemMarkup<ToolbarDataType.ButtonPopup>;
export declare const tabsItemView: ToolbarItemView;
export declare const tabsItemWysiwyg: ToolbarItemWysiwyg;
export declare const tabsItemMarkup: ToolbarItemMarkup;
export declare const mathInlineItemView: ToolbarItemView;
export declare const mathInlineItemWysiwyg: ToolbarItemWysiwyg;
export declare const mathInlineItemMarkup: ToolbarItemMarkup;
export declare const mathBlockItemView: ToolbarItemView;
export declare const mathBlockItemWysiwyg: ToolbarItemWysiwyg;
export declare const mathBlockItemMarkup: ToolbarItemMarkup;
export declare const yfmHtmlBlockItemView: ToolbarItemView;
export declare const yfmHtmlBlockItemWysiwyg: ToolbarItemWysiwyg;
export declare const yfmHtmlBlockItemMarkup: ToolbarItemMarkup;
export declare const mermaidItemView: ToolbarItemView;
export declare const mermaidItemWysiwyg: ToolbarItemWysiwyg;
export declare const mermaidItemMarkup: ToolbarItemMarkup;
export declare const codeBlockItemView: ToolbarItemView;
export declare const codeBlockItemWysiwyg: ToolbarItemWysiwyg;
export declare const codeBlockItemMarkup: ToolbarItemMarkup;
export declare const hruleItemView: ToolbarItemView;
export declare const hruleItemWysiwyg: ToolbarItemWysiwyg;
export declare const hruleItemMarkup: ToolbarItemMarkup;
export declare const emojiItemView: ToolbarItemView;
export declare const emojiItemWysiwyg: ToolbarItemWysiwyg;
export declare const emojiItemMarkup: ToolbarItemMarkup;
export declare const heading1ItemView: ToolbarItemView;
export declare const heading1ItemWysiwyg: ToolbarItemWysiwyg;
export declare const heading1ItemMarkup: ToolbarItemMarkup;
export declare const heading2ItemView: ToolbarItemView;
export declare const heading2ItemWysiwyg: ToolbarItemWysiwyg;
export declare const heading2ItemMarkup: ToolbarItemMarkup;
export declare const heading3ItemView: ToolbarItemView;
export declare const heading3ItemWysiwyg: ToolbarItemWysiwyg;
export declare const heading3ItemMarkup: ToolbarItemMarkup;
export declare const heading4ItemView: ToolbarItemView;
export declare const heading4ItemWysiwyg: ToolbarItemWysiwyg;
export declare const heading4ItemMarkup: ToolbarItemMarkup;
export declare const heading5ItemView: ToolbarItemView;
export declare const heading5ItemWysiwyg: ToolbarItemWysiwyg;
export declare const heading5ItemMarkup: ToolbarItemMarkup;
export declare const heading6ItemView: ToolbarItemView;
export declare const heading6ItemWysiwyg: ToolbarItemWysiwyg;
export declare const heading6ItemMarkup: ToolbarItemMarkup;
export declare const bulletListItemView: ToolbarItemView;
export declare const bulletListItemWysiwyg: ToolbarItemWysiwyg;
export declare const bulletListItemMarkup: ToolbarItemMarkup;
export declare const orderedListItemView: ToolbarItemView;
export declare const orderedListItemWysiwyg: ToolbarItemWysiwyg;
export declare const orderedListItemMarkup: ToolbarItemMarkup;
export declare const sinkListItemView: ToolbarItemView;
export declare const sinkListItemWysiwyg: ToolbarItemWysiwyg;
export declare const sinkListItemMarkup: ToolbarItemMarkup;
export declare const liftListItemView: ToolbarItemView;
export declare const liftListItemWysiwyg: ToolbarItemWysiwyg;
export declare const liftListItemMarkup: ToolbarItemMarkup;
export declare const toggleHeadingFoldingItemView: ToolbarItemView;
export declare const toggleHeadingFoldingItemWysiwyg: ToolbarItemWysiwyg;
export declare const textContextItemView: ToolbarItemView<ToolbarDataType.ReactComponent>;
export declare const textContextItemWisywig: ToolbarItemWysiwyg<ToolbarDataType.ReactComponent>;
export declare const paragraphItemView: ToolbarItemView;
export declare const paragraphItemWisywig: ToolbarItemWysiwyg;
export declare const paragraphItemMarkup: ToolbarItemMarkup;
export declare const colorifyItemView: ToolbarItemView<ToolbarDataType.ReactComponent>;
export declare const colorifyItemWysiwyg: ToolbarItemWysiwyg<ToolbarDataType.ReactComponent>;
export declare const colorifyItemMarkup: ToolbarItemMarkup<ToolbarDataType.ReactComponent>;
export declare const gptItemView: ToolbarItemView;
export declare const gptItemWysiwyg: ToolbarItemWysiwyg;
export declare const gptItemMarkup: ToolbarItemMarkup;
export declare const headingListItemView: ToolbarItemView<ToolbarDataType.ListButton>;
export declare const listsListItemView: ToolbarItemView<ToolbarDataType.ListButton>;
export declare const moveListItemView: ToolbarItemView<ToolbarDataType.ListButton>;
export declare const codeBlocksListItemView: ToolbarItemView<ToolbarDataType.ListButton>;
export declare const mathListItemView: ToolbarItemView<ToolbarDataType.ListButton>;
