"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreviewTooltip = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../classname");
const const_1 = require("./const");
const b = (0, classname_1.cn)('preview-tooltip');
const PreviewTooltip = ({ preview, children }) => {
    return (react_1.default.createElement(uikit_1.Tooltip, { placement: "right", className: b(), contentClassName: b('content'), disabled: !preview, openDelay: const_1.ToolbarTooltipDelay.Open, closeDelay: const_1.ToolbarTooltipDelay.Close, content: preview }, children));
};
exports.PreviewTooltip = PreviewTooltip;
