var _SchemaSpecRegistry_spec, _SchemaSpecRegistry_dynamicModifier;
import { __classPrivateFieldGet, __classPrivateFieldSet } from "tslib";
import { Schema } from 'prosemirror-model';
export class SchemaSpecRegistry {
    constructor(topNode, dynamicModifier) {
        _SchemaSpecRegistry_spec.set(this, void 0);
        _SchemaSpecRegistry_dynamicModifier.set(this, void 0);
        __classPrivateFieldSet(this, _SchemaSpecRegistry_spec, { topNode, nodes: {}, marks: {} }, "f");
        __classPrivateFieldSet(this, _SchemaSpecRegistry_dynamicModifier, dynamicModifier, "f");
    }
    addNode(name, spec) {
        const modifiedSpec = __classPrivateFieldGet(this, _SchemaSpecRegistry_dynamicModifier, "f")
            ? __classPrivateFieldGet(this, _SchemaSpecRegistry_dynamicModifier, "f").processNodeSpec(name, spec)
            : spec;
        __classPrivateFieldGet(this, _SchemaSpecRegistry_spec, "f").nodes[name] = modifiedSpec;
        return this;
    }
    addMark(name, spec) {
        __classPrivateFieldGet(this, _SchemaSpecRegistry_spec, "f").marks[name] = spec;
        return this;
    }
    createSchema() {
        return new Schema(__classPrivateFieldGet(this, _SchemaSpecRegistry_spec, "f"));
    }
}
_SchemaSpecRegistry_spec = new WeakMap(), _SchemaSpecRegistry_dynamicModifier = new WeakMap();
