import { mdAutocomplete } from '../yfm';
import { emptyRowAutocomplete } from './emptyRow';
export const getAutocompleteConfig = ({ preserveEmptyRows }) => {
    const autocompleteItems = [];
    if (preserveEmptyRows) {
        autocompleteItems.push(emptyRowAutocomplete);
    }
    autocompleteItems.push(mdAutocomplete);
    return autocompleteItems;
};
